## org.eclipse.xsd.impl
Class XSDXPathDefinitionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDXPathDefinitionImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDXPathDefinition

    public class XSDXPathDefinitionImpl

extends XSDComponentImpl
implements XSDXPathDefinition

An implementation of the model object 'XPath Definition'.

The following features are implemented:

- `Variety`
- `Value`
- `Annotation`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected XSDAnnotation` `annotation` The cached value of the '`Annotation`' containment reference
`protected java.lang.String` `value` The cached value of the '`Value`' attribute
`protected static java.lang.String` `VALUE_EDEFAULT` The default value of the '`Value`' attribute
`protected static XSDXPathVariety` `VARIETY_EDEFAULT` The default value of the '`Variety`' attribute
`protected static int` `VARIETY_EFLAG` The flag representing the value of the '`Variety`' attribute
`protected static int` `VARIETY_EFLAG_DEFAULT` The flags representing the default value of the '`Variety`' attribute
`protected static int` `VARIETY_EFLAG_OFFSET` The offset of the flags representing the value of the '`Variety`' attribute

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDXPathDefinitionImpl()`

Method Summary
`NotificationChain` `basicSetAnnotation(XSDAnnotation newAnnotation, NotificationChain msgs)`
`protected void` `changeAttribute(EAttribute eAttribute)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`org.w3c.dom.Element` `createElement()`
`static XSDXPathDefinition` `createXPathDefinition(org.w3c.dom.Node node)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDAnnotation` `getAnnotation()`
`java.lang.String` `getValue()`
`XSDXPathVariety` `getVariety()`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`void` `setAnnotation(XSDAnnotation newAnnotation)`
`void` `setValue(java.lang.String newValue)`
`void` `setVariety(XSDXPathVariety newVariety)`
`java.lang.String` `toString()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, handleReconciliation, handleUnreconciledElement, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### VARIETY_EDEFAULT

    protected static final XSDXPathVariety VARIETY_EDEFAULT

  The default value of the '`Variety`' attribute.

  See Also:
    `getVariety()`

### VARIETY_EFLAG_OFFSET

    protected static final int VARIETY_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Variety`' attribute.

  See Also:
    Constant Field Values

### VARIETY_EFLAG_DEFAULT

    protected static final int VARIETY_EFLAG_DEFAULT

  The flags representing the default value of the '`Variety`' attribute.

### VARIETY_EFLAG

    protected static final int VARIETY_EFLAG

  The flag representing the value of the '`Variety`' attribute.

  See Also:
    `getVariety()`, Constant Field Values

### VALUE_EDEFAULT

    protected static final java.lang.String VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### value

    protected java.lang.String value

  The cached value of the '`Value`' attribute.

  See Also:
    `getValue()`

### annotation

    protected XSDAnnotation annotation

  The cached value of the '`Annotation`' containment reference.

  See Also:
    `getAnnotation()`

Constructor Detail

### XSDXPathDefinitionImpl

    protected XSDXPathDefinitionImpl()

Method Detail

### createXPathDefinition

    public static XSDXPathDefinition createXPathDefinition(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDComponentImpl`

### getVariety

    public XSDXPathVariety getVariety()

  Specified by:
    `getVariety` in interface `XSDXPathDefinition`
  Returns:
    the value of the 'Variety' attribute.
  See Also:
    `XSDXPathVariety`, `XSDXPathDefinition.setVariety(XSDXPathVariety)`, `XSDPackage.getXSDXPathDefinition_Variety()`

### setVariety

    public void setVariety(XSDXPathVariety newVariety)

  Specified by:
    `setVariety` in interface `XSDXPathDefinition`
  Parameters:
    `newVariety` - the new value of the 'Variety' attribute.
  See Also:
    `XSDXPathVariety`, `XSDXPathDefinition.getVariety()`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `XSDXPathDefinition`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `XSDXPathDefinition.setValue(String)`, `XSDPackage.getXSDXPathDefinition_Value()`

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    `setValue` in interface `XSDXPathDefinition`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `XSDXPathDefinition.getValue()`

### getAnnotation

    public XSDAnnotation getAnnotation()

  Specified by:
    `getAnnotation` in interface `XSDXPathDefinition`
  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `XSDXPathDefinition.setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDXPathDefinition_Annotation()`

### setAnnotation

    public void setAnnotation(XSDAnnotation newAnnotation)

  Specified by:
    `setAnnotation` in interface `XSDXPathDefinition`
  Parameters:
    `newAnnotation` - the new value of the 'Annotation' containment reference.
  See Also:
    `XSDXPathDefinition.getAnnotation()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XSDConcreteComponentImpl`

### basicSetAnnotation

    public NotificationChain basicSetAnnotation(XSDAnnotation newAnnotation,
                                                NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDConcreteComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDConcreteComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDConcreteComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDConcreteComponentImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDConcreteComponentImpl`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDConcreteComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDConcreteComponentImpl`

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.